Index: print/gnomeprint/Makefile
===================================================================
diff -u print/gnomeprint/Makefile.orig print/gnomeprint/Makefile
--- print/gnomeprint/Makefile.orig	Sun Jul 27 16:09:57 2003
+++ print/gnomeprint/Makefile	Sun Jul 27 16:10:54 2003
@@ -16,9 +16,15 @@
 MAINTAINER=	gnome@FreeBSD.org
 COMMENT=	Gnome print support library

+.if defined(WITH_GHOSTSCRIPT_AFPL) && ${WITH_GHOSTSCRIPT_AFPL} == yes
+GSPORT?=	print/ghostscript-afpl
+.else
+GSPORT?=	print/ghostscript-gnu
+.endif
+
 BUILD_DEPENDS=	freetype-config:${PORTSDIR}/print/freetype2	# XXX
 LIB_DEPENDS=	freetype.9:${PORTSDIR}/print/freetype2
-RUN_DEPENDS=	gs:${PORTSDIR}/print/ghostscript-gnu
+RUN_DEPENDS=	gs:${PORTSDIR}/${GSPORT}

 PLIST_SUB=	VERSION=${PORTVERSION}

@@ -31,6 +37,14 @@
 USE_LIBTOOL=	yes
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
 		LIBS="-L${LOCALBASE}/lib"
+
+pre-fetch:
+.if !defined(WITH_GHOSTSCRIPT_AFPL) || ${WITH_GHOSTSCRIPT_AFPL} != yes
+	@${ECHO} ""
+	@${ECHO} "      Define WITH_GHOSTSCRIPT_AFPL=yes to use"
+	@${ECHO} "      AFPL Postscript interpreter instead of GNU one"
+	@${ECHO} ""
+.endif

 post-install:
 	@${TOUCH} ${PREFIX}/etc/gnome/fonts/gnome-print-x11.fontmap
